Skip to main content
GET
/
api
/
v1
/
network
/
events
/
{eventId}
Get a single network event
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/network/events/{eventId} \
  --header 'Authorization: Bearer <token>'
{
  "chat_id": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "request": {},
  "response": {},
  "source_type": "<string>",
  "tags": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "tool_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

eventId
string<uuid>
required

Event UUID

Query Parameters

chat_id
string
required

Chat/conversation ID

Response

The network event with full request/response

chat_id
string
id
string<uuid>
request
object
response
object
source_type
string
tags
string[]
timestamp
string<date-time>
tool_name
string